# Uses of Class
org.json.simple.DeserializationException

Packages that use DeserializationException
Package
Description
org.json.simple

## Uses of DeserializationException in org.json.simple

Methods in org.json.simple that throw DeserializationException
Modifier and Type
Method
Description
`static Object`
Jsoner.`deserialize(Reader readableDeserializable)`
Deserializes a readable stream according to the RFC 4627 JSON specification.
`static Object`
Jsoner.`deserialize(String deserializable)`
A convenience method that assumes a StringReader to deserialize a string.
`static JsonArray`
Jsoner.`deserializeMany(Reader deserializable)`
A convenience method that assumes multiple RFC 4627 JSON values (except numbers) have been concatenated together for deserilization which will be collectively returned in a JsonArray wrapper.